const express = require('express');

const downloadApp = express.Router();

const libs = `${process.cwd()}/libs`;

const log = require(`${libs}/log`)(module);

const Download = require(`${libs}/models/download`);

const User = require(`${libs}/models/user`);

const passport = require('passport');

downloadApp.get('/', passport.authenticate('bearer', {session: false}), (req, res, next) => {
    Download.find({userId: req.user._id}, (err, downloads) => {
        if (err) {
            log.error(err);
            return next(err);
        }

        if(!downloads) {
            res.statusCode = 404;
            return res.json({msg: 'Nenhum download encontrado'});
        }
        res.json(downloads);
    });
});

module.exports = downloadApp;
